Bug 1463322 - [GSS] [RFE] Provide native 'gluster df <volume|all>' command
[GSS] [RFE] Provide native 'gluster df <volume|all>' command
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core (Show other bugs)
3.2
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Rahul Hinduja
: FutureFeature, ZStream
Depends On:
Blocks: 1408949 RHGS-usability-bug-GSS
  Show dependency treegraph
 
Reported: 2017-06-20 10:51 EDT by Cal Calhoun
Modified: 2018-02-16 13:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github gluster/glusterfs-coreutils/issues/32 None None None 2017-06-21 08:39 EDT

  None (edit)
Description Cal Calhoun 2017-06-20 10:51:56 EDT
Description	

There's no easy way how to calculate overall volume usage of gluster volumes. Please provide built-in/native tool for it. I suggest:

gluster volume df <volname|all>

Output info:

Volume: XYZ
Size/Total/Used/Free: <output in configurable units b/kb/mb/gb/tb.. or percent>
Per brick usage:
same as above - per brick

Customer asked not to "suggest the gstatus tool as it's doing many other things besides checking used space and it's not reliable".
Comment 2 Niels de Vos 2017-06-21 08:38:01 EDT
This should be a simple extension to glusterfs-coreutils:
  https://github.com/gluster/glusterfs-coreutils

There is already a GitHub issue with the same request (and possible workarounds).
Comment 5 Cal Calhoun 2017-06-30 08:14:31 EDT
@Riyas, I will ask the customer.

Also, they bring up the question of the possibility of including supported versions of glusterfs-coreutils and python-glusterfs-api to RHGS.  Is that something that could be acclomplished?

Note You need to log in before you can comment on or make changes to this bug.